7 Replies Latest reply on Dec 13, 2018 1:13 AM by VinayakS_26

    Required "wl" utility/executable for i.MX8x(ARM64)

      Hi team,

       

      We use Cypress chip BCM43353 based Wi-FI+BT module of LSR sterling-LWB5 with this we successfully up running wifi and BT.

      We are planning to go for regulation test. so we required wl utility to set different combination of power and channels.

       

      Toolchain and kernel which we are using

      IMX8 platform toolchain: aarch64-poky-linux-gcc

      Linux kernel: 4.14.62

      ARCH: arm64

       

      Please let's know if you need any further information.

       

      Thanks,

      Arjun Salariya

        • 2. Re: Required "wl" utility/executable for i.MX8x(ARM64)
          ShawnA_01

          Hello Arjun,

           

          I'm the (Cypress) support person for Laird.  Your request is not unique but we don't service it via the Community Forum.  Please reach out to Laird's support team as they know how to handle your request to get you the WL.

          • 3. Re: Required "wl" utility/executable for i.MX8x(ARM64)
            VinayakS_26

            Hi arsac_3921401

             

            PFA the compiled binaries of wl and dhd for aarch64.

            compiled with aarch64-linux-gnueabi-

             

            Please check the elf output for further details.

            >>readelf -h <binary>

             

            Regards,

            Vinayak

            • 4. Re: Required "wl" utility/executable for i.MX8x(ARM64)

              Hi,

               

              Thank you for the reply,

               

              we have test wl utility which you have shared but it through error message:

              Below steps we follow:

              1) install *.ko

                 root@imx8qxpmek:~# insmod compat.ko

                [   61.671963] Loading modules backported from Linux version LRD-REL-6.0.0.100-0-g16526a9

                [   61.679942] Backport generated by backports.git LRD-REL-6.0.0.100-0-gebb22f0

                root@imx8qxpmek:~# insmod cfg80211.ko

                root@imx8qxpmek:~# insmod brcmutil.ko

                root@imx8qxpmek:~# insmod brcmfmac.ko

                root@imx8qxpmek:~# [   89.328221] brcmfmac: brcmf_fw_map_chip_to_name: using brcm/brcmfmac4339-sdio.bin for chip 0x004339(17209) rev 0x000002

                [   89.589009] brcmfmac mmc0:0001:1: Falling back to user helper

                [   89.598458] brcmfmac: brcmf_c_process_clm_blob: no clm_blob available(err=-11), device may have limited channels available

                [   89.609928] brcmfmac: brcmf_c_preinit_dcmds: Firmware version = wl0: Feb  7 2018 05:46:11 version 6.37.39.92 (r683655 CY WLTEST)

               

              2) ifconfig wlan0 up

               

              3) Wl -i wlan0 ver

                root@imx8qxpmek:~# wl -i wlan0 ver

                wl: wl driver adapter not found

               

               

              Thanks,

              Arjun Salariya

              • 5. Re: Required "wl" utility/executable for i.MX8x(ARM64)
                VinayakS_26

                Hi arsac_3921401

                 

                from the error logs

                >>>brcmfmac: brcmf_c_process_clm_blob: no clm_blob available(err=-11), device may have limited channels available

                 

                The driver is querying for the clm_blob for 4339. Which driver version are you using?

                Are you using the manda release?

                 

                After driver load, could you check whether the new interface has been created or/not.

                >>ifconfig

                 

                The wl utility looks to be working fine.

                Could you check what the following outputs.

                ./wl -h

                It should display the help logs.

                Also please post a dmesg log to inspect on what the kernel is saying.

                 

                Regards,

                Vinayak

                • 6. Re: Required "wl" utility/executable for i.MX8x(ARM64)

                  Hi vinayak

                   

                  Thanks for your support

                  >>ifconfig

                  show wlan0 interface created.

                   

                  Wl which u have provide it has fine with

                  ./wl -h

                  but through error with

                  ./wl ver

                   

                  We have used "wl" from our different IMX8M platform project. In their project, they used the Murata module (same CYPRESS chipset). 

                   

                  WL is working fine with IMX8X platform. WL version is 

                   

                  root@imx8qxpmek:~# wl ver
                    5/14/2017 build 0
                    wl0: Feb  7 2018 05:46:11 version 6.37.39.92 (r683655 CY WLTEST)

                   

                  root@imx8qxpmek:~# file /usr/bin/wl
                    /usr/bin/wl: ELF 64-bit LSB executable, ARM aarch64, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux-aarch64.so.1, for GNU/Linux 3.14.0
                    , BuildID[sha1]=caac09a83a98b9f098b8ab0a6e6623ef38369c72, stripped
                   

                   

                  Please also find the attached the "WL" which we are using.

                  • 7. Re: Required "wl" utility/executable for i.MX8x(ARM64)
                    VinayakS_26

                    The file output of the wl that you are using is exactly same as that which i provided.

                    Glad to know that the setup is working.

                     

                    Regards,

                    Vinayak